Zum Inhalt springen

Revoga um token do MCP (RFC 7009)

POST/oauth/revoke

Auth
Token erforderlich
Die Beschreibungen der Endpoints stammen aus der API-Spezifikation und sind vorerst auf Portugiesisch. Die Oberfläche drumherum ist übersetzt.

Revogar o access token ou o refresh token revoga a conexão inteira: o assistente para de enxergar a comunidade na hora. Token desconhecido também responde 200, como manda a RFC.

Request-Body application/x-www-form-urlencoded

NameTypBeschreibung
tokenPflichtstring
token_type_hintoptionalaccess_token | refresh_token
client_idPflichtstring
client_secretoptionalstring

Antworten

StatusBeschreibung
200Revogado (ou já não valia).
401`invalid_client`.

curl-Beispiel

curl -X POST "https://api.memberfy.net/oauth/revoke" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"token":"string","client_id":"string"}'